Subject: [Sip] Re: Comments: draft-ietf-rohc-sigcomp-sip-04

From: Gonzalo Camarillo <[email-masked]>
Date: Sat, 03 Mar 2007 14:04:50 +0200

Hi Adam,

thanks for reviewing the draft again. Answers inline:

Adam Roach wrote:
> The sigcomp-sip revisions look good. I have a couple of small comments 
> on the new text that should be easy to resolve:
> 
> ------------------------------------------------------------------------
> 
> Section 8.3:
>>    To indicate that such state will continue
>>    to be available, the SigComp endpoint can inform its peer SigComp
>>    endpoint by announcing the (partial) state ID in the returned SigComp
>>    parameters at the end of the registration, dialog, or transaction
>>    that was supposed to limit the lifetime of the SigComp state.
> 
> I think this is left-over language from the time that dialogs and 
> transactions could have associated compartments. I suggest:
> 
>   To indicate that such state will continue    to be available, the 
> SigComp endpoint can inform its peer SigComp
>   endpoint by announcing the (partial) state ID in the returned SigComp
>   parameters upon termination of the registration.

Fixed.

> 
> 
> ------------------------------------------------------------------------
> 
> Nit; Section 8.4:
> 
>> Section 9 provides network administrators with recommendations so that 
>> they configure they networks properly.
> 
> ...should be:
> 
>    Section 9 provides network administrators with recommendations so
>    that they can configure their networks properly.
> 

Fixed.

> 
> ------------------------------------------------------------------------
> 
> Aside from these two small corrections, I think the document is ready 
> for publication. I still believe that it would be improved by the 
> addition of an example SIP message (instead of mere excerpts), and I am 
> re-including my suggestion from a previous review below. However, I 
> think the document serves its purpose even without the example, and see 
> no reason to hinder its progress simply because it lacks such an example.
> 
>   REGISTER sip:example.net SIP/2.0
>   Via: SIP/2.0/UDP 192.0.2.247:2078;branch=z9hG4bK-et736vsjirav;
>        rport;sigcomp-id="urn:uuid:2e5fdc76-00be-4314-8202-1116fa82a473"
>   From: "Joe User" <sip:[email-masked]>;tag=6to4gh7t5j
>   To: "Bob User" <sip:[email-masked]>
>   Call-ID: 3c26700c1adb-lu1lz5ri5orr
>   CSeq: 215196 REGISTER
>   Max-Forwards: 70
>   Contact: <sip:[email-masked]:2078;
>            sigcomp-id=urn%3auuid%3a2e5fdc76-00be-4314-8202-1116fa82a473>;
>            q=1.0; expires=3600;
>            +sip.instance="<urn:uuid:2e5fdc76-00be-4314-8202-1116fa82a473>"
>   Content-Length: 0

I have added the example. However, I have changed the To header field of 
the request so that it is not a third party registration. Now the To 
header is the same as the From header without the tag.

I will be submitting the new revision before the cut off. Until it 
appears in the archives, it can be fetched from:

http://users.piuha.net/gonzalo/temp/draft-ietf-rohc-sigcomp-sip-05.txt

Thanks,

Gonzalo

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip